Subject: Re: [GIT PULL] ARM: mvebu: dt for v5.1 (#1)

From: Gregory CLEMENT <[email-masked]>
Date: Tue, 19 Feb 2019 17:21:02 +0100

Hi Arnd,
 
 On ven., févr. 15 2019, Arnd Bergmann <[email-masked]> wrote:

> On Fri, Feb 8, 2019 at 10:22 PM Gregory CLEMENT
> <[email-masked]> wrote:
>
>>
>> ----------------------------------------------------------------
>> Andrew Lunn (1):
>>       arch: arm: dts: Remove disabled marvell,dsa properties
>>
>>  arch/arm/boot/dts/armada-370-rd.dts            | 42 -------------------
>>  arch/arm/boot/dts/armada-388-clearfog.dts      | 58 --------------------------
>>  arch/arm/boot/dts/armada-xp-linksys-mamba.dts  | 47 ---------------------
>>  arch/arm/boot/dts/kirkwood-dir665.dts          | 47 ---------------------
>>  arch/arm/boot/dts/kirkwood-linksys-viper.dts   | 47 ---------------------
>>  arch/arm/boot/dts/kirkwood-mv88f6281gtw-ge.dts | 47 ---------------------
>>  arch/arm/boot/dts/kirkwood-rd88f6281.dtsi      | 41 ------------------
>>  7 files changed, 329 deletions(-)
>
> Could you have a look at these warnings and send a follow-up pull request?
>
> ../arch/arm/boot/dts/kirkwood-rd88f6281-z0.dts:21.4-16: Warning
> (reg_format): /dsa/switch@0:reg: property has invalid length (8 bytes)
> (#address-cells == 2, #size-cells == 1)
> ../arch/arm/boot/dts/kirkwood-rd88f6281-z0.dts:23.5-15: Warning
> (reg_format): /dsa/switch@0/port@4:reg: property has invalid length (4
> bytes) (#address-cells == 2, #size-cells == 1)
> arch/arm/boot/dts/kirkwood-rd88f6281-z0.dtb: Warning
> (pci_device_bus_num): Failed prerequisite 'reg_format'
> arch/arm/boot/dts/kirkwood-rd88f6281-z0.dtb: Warning (i2c_bus_reg):
> Failed prerequisite 'reg_format'
> arch/arm/boot/dts/kirkwood-rd88f6281-z0.dtb: Warning (spi_bus_reg):
> Failed prerequisite 'reg_format'
> ../arch/arm/boot/dts/kirkwood-rd88f6281-z0.dts:20.12-26.5: Warning
> (avoid_default_addr_size): /dsa/switch@0: Relying on default
> #address-cells value
> ../arch/arm/boot/dts/kirkwood-rd88f6281-z0.dts:20.12-26.5: Warning
> (avoid_default_addr_size): /dsa/switch@0: Relying on default
> #size-cells value
> ../arch/arm/boot/dts/kirkwood-rd88f6281-z0.dts:22.11-25.6: Warning
> (avoid_default_addr_size): /dsa/switch@0/port@4: Relying on default
> #address-cells value
> ../arch/arm/boot/dts/kirkwood-rd88f6281-z0.dts:22.11-25.6: Warning
> (avoid_default_addr_size): /dsa/switch@0/port@4: Relying on default
> #size-cells value
>

Yes sure. I realize that I test the build with the wrong defconfig
(mvebu_v7_defconfig instead of mvebu_v5_defconfig) which made me miss
these warnings. I am going to send a patch to fix it and then I will do a
follow-up pull request.

Gregory

> Thanks,
>       Arnd

-- 
Gregory Clement, Bootlin
Embedded Linux and Kernel engineering
http://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel